
.. CAUTION: THIS FILE IS AUTO-GENERATED
    from the inline comments of specfile defaults/alot.rc.spec.

    If you want to change its content make your changes
    to that spec to ensure they woun't be overwritten later.

.. _address:

.. describe:: address

     your main email address

    :type: string

.. _alias-regexp:

.. describe:: alias_regexp

     a regex for catching further aliases (like + extensions).

    :type: string
    :default: None


.. _aliases:

.. describe:: aliases

     used to clear your addresses/ match account when formatting replies

    :type: string list
    :default: ,


.. _case-sensitive-username:

.. describe:: case_sensitive_username

     Whether the server treats the address as case-senstive or
     case-insensitve (True for the former, False for the latter)

     .. note:: The vast majority (if not all) SMTP servers in modern use
               treat usernames as case insenstive, you should only set
               this if you know that you need it.

    :type: boolean
    :default: False


.. _draft-box:

.. describe:: draft_box

     where to store draft mails, e.g. `maildir:///home/you/mail/Drafts`,
     `maildir://$MAILDIR/Drafts` or `maildir://~/mail/Drafts`.
     You can use mbox, maildir, mh, babyl and mmdf in the protocol part of the URL.

     .. note:: You will most likely want drafts indexed by notmuch to be able to
               later access them within alot. This currently only works for
               maildir containers in a path below your notmuch database path.

    :type: mail_container
    :default: None


.. _draft-tags:

.. describe:: draft_tags

     list of tags to automatically add to draft messages

    :type: string list
    :default: draft


.. _encrypt-by-default:

.. describe:: encrypt_by_default

     Alot will try to GPG encrypt outgoing messages by default when this
     is set to `all` or `trusted`.  If set to `all` the message will be
     encrypted for all recipients for who a key is available in the key
     ring.  If set to `trusted` it will be encrypted to all
     recipients if a trusted key is available for all recipients (one
     where the user id for the key is signed with a trusted signature).

     .. note:: If the message will not be encrypted by default you can
               still use the :ref:`toggleencrypt
               <cmd.envelope.toggleencrypt>`, :ref:`encrypt
               <cmd.envelope.encrypt>` and :ref:`unencrypt
               <cmd.envelope.unencrypt>` commands to encrypt it.
     .. deprecated:: 0.4
               The values `True` and `False` are interpreted as `all` and
               `none` respectively. `0`, `1`, `true`, `True`, `false`,
               `False`, `yes`, `Yes`, `no`, `No`, will be removed before
               1.0, please move to `all`, `none`, or `trusted`.

    :type: option, one of ['all', 'none', 'trusted', 'True', 'False', 'true', 'false', 'Yes', 'No', 'yes', 'no', '1', '0']
    :default: none


.. _encrypt-to-self:

.. describe:: encrypt_to_self

     If this is true when encrypting a message it will also be encrypted
     with the key defined for this account.

     .. warning::

        Before 0.6 this was controlled via gpg.conf.

    :type: boolean
    :default: True


.. _gpg-key:

.. describe:: gpg_key

     The GPG key ID you want to use with this account.

    :type: string
    :default: None


.. _message-id-domain:

.. describe:: message_id_domain

     Domain to use in automatically generated Message-ID headers.
     The default is the local hostname.

    :type: string
    :default: None


.. _passed-tags:

.. describe:: passed_tags

     list of tags to automatically add to passed messages

    :type: string list
    :default: passed


.. _realname:

.. describe:: realname

     used to format the (proposed) From-header in outgoing mails

    :type: string

.. _replied-tags:

.. describe:: replied_tags

     list of tags to automatically add to replied messages

    :type: string list
    :default: replied


.. _sendmail-command:

.. describe:: sendmail_command

     sendmail command. This is the shell command used to send out mails via the sendmail protocol

    :type: string
    :default: "sendmail -t"


.. _sent-box:

.. describe:: sent_box

     where to store outgoing mails, e.g. `maildir:///home/you/mail/Sent`,
     `maildir://$MAILDIR/Sent` or `maildir://~/mail/Sent`.
     You can use mbox, maildir, mh, babyl and mmdf in the protocol part of the URL.

     .. note:: If you want to add outgoing mails automatically to the notmuch index
               you must use maildir in a path within your notmuch database path.

    :type: mail_container
    :default: None


.. _sent-tags:

.. describe:: sent_tags

     list of tags to automatically add to outgoing messages

    :type: string list
    :default: sent


.. _sign-by-default:

.. describe:: sign_by_default

     Outgoing messages will be GPG signed by default if this is set to True.

    :type: boolean
    :default: False


.. _signature:

.. describe:: signature

     path to signature file that gets attached to all outgoing mails from this account, optionally
     renamed to :ref:`signature_filename <signature-filename>`.

    :type: string
    :default: None


.. _signature-as-attachment:

.. describe:: signature_as_attachment

     attach signature file if set to True, append its content (mimetype text)
     to the body text if set to False.

    :type: boolean
    :default: False


.. _signature-filename:

.. describe:: signature_filename

     signature file's name as it appears in outgoing mails if
     :ref:`signature_as_attachment <signature-as-attachment>` is set to True

    :type: string
    :default: None

